Index: contrib/pgcrypto/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/pgcrypto/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- contrib/pgcrypto/Makefile	13 Jul 2006 04:15:24 -0000	1.24
+++ contrib/pgcrypto/Makefile	14 Jan 2007 16:08:43 -0000
@@ -9,17 +9,13 @@
 OSSL_SRCS = openssl.c pgp-mpi-openssl.c
 OSSL_TESTS = sha2 des 3des cast5
 
-ZLIB_OFF_CFLAGS = -DDISABLE_ZLIB
 ZLIB_TST = pgp-compression
 ZLIB_OFF_TST = pgp-zlib-DISABLED
 
 CF_SRCS = $(if $(subst no,,$(with_openssl)), $(OSSL_SRCS), $(INT_SRCS))
 CF_TESTS = $(if $(subst no,,$(with_openssl)), $(OSSL_TESTS), $(INT_TESTS))
-CF_CFLAGS = $(if $(subst yes,,$(with_zlib)), $(ZLIB_OFF_CFLAGS))
 CF_PGP_TESTS = $(if $(subst no,,$(with_zlib)), $(ZLIB_TST), $(ZLIB_OFF_TST))
 
-PG_CPPFLAGS	= $(CF_CFLAGS)
-
 SRCS		= pgcrypto.c px.c px-hmac.c px-crypt.c \
 		crypt-gensalt.c crypt-blowfish.c crypt-des.c \
 		crypt-md5.c $(CF_SRCS) \
Index: contrib/pgcrypto/pgp-compress.c
===================================================================
RCS file: /projects/cvsroot/pgsql/contrib/pgcrypto/pgp-compress.c,v
retrieving revision 1.5
diff -u -r1.5 pgp-compress.c
--- contrib/pgcrypto/pgp-compress.c	15 Oct 2005 02:49:06 -0000	1.5
+++ contrib/pgcrypto/pgp-compress.c	14 Jan 2007 16:08:43 -0000
@@ -40,7 +40,7 @@
  * Compressed pkt writer
  */
 
-#ifndef DISABLE_ZLIB
+#ifdef HAVE_LIBZ
 
 #include <zlib.h>
 
@@ -312,7 +312,8 @@
 {
 	return pullf_create(res, &decompress_filter, ctx, src);
 }
-#else							/* DISABLE_ZLIB */
+
+#else							/* !HAVE_ZLIB */
 
 int
 pgp_compress_filter(PushFilter ** res, PGP_Context * ctx, PushFilter * dst)